aboutsummaryrefslogtreecommitdiff
path: root/twitch-stream-local-copy.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2020-08-29 07:30:43 +0200
committerdec05eba <dec05eba@protonmail.com>2020-08-29 07:30:43 +0200
commitf7f8ef174760d94088878ccf9db4fcada3c2aaf0 (patch)
treea18c4db9477c67a82225ecda65f1f253a13bcade /twitch-stream-local-copy.sh
parent0780efe87d28765520e0d31eaba6fdabc91dd13e (diff)
Add script for streaming while saving a local copy of the video
Diffstat (limited to 'twitch-stream-local-copy.sh')
-rwxr-xr-xtwitch-stream-local-copy.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/twitch-stream-local-copy.sh b/twitch-stream-local-copy.sh
new file mode 100755
index 0000000..8101bbc
--- /dev/null
+++ b/twitch-stream-local-copy.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+# Stream on twitch while also saving the video to disk locally
+
+[ "$#" -ne 5 ] && echo "usage: twitch-stream-local-copy.sh <window_id> <fps> <audio_input> <livestream_key> <local_file>" && exit 1
+./sibs-build/linux_x86_64/release/gpu-screen-recorder -w "$1" -c flv -f "$2" -a "$3" | tee -- "$5" | ffmpeg -i pipe:0 -c:v copy -f flv -- "rtmp://live.twitch.tv/app/$4"